#include<conio.h>
#include<iostream.h>
#include<math.h>
void main()
{
double x1=0,x=0,y1=0,y=0,m=0,d=0,aux=0,a=0;
clrscr();
cout<<"digite el valor de y1: ";cin>>y1;
cout<<"digite el valor de y: ";cin>>y;
cout<<"digite el valor de x1: ";cin>>x1;
cout<<"digite el valor de x: ";cin>>x;
clrscr();
m=(y-y1)/(x-x1);
aux=((y-y1)*(y-y1))+((x-x1)*(x-x1));
d=sqrt(aux);
a=atan(m);
cout<<"la ecuacion de la recta y="<<m<<"x"<<"+"<<y<<endl;
cout<<"la distancia entre los puntos es:"<<d<<endl;
cout<<"el valor de la pendiente es: "<<m<<endl;
cout<<"el angulo es: "<<a<<endl;
getch();
}




